/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	relib_enhance.cpp
*
* Purpose : Enhancements to the RELib library
*
* Authors : Anuj Seth
*			K.Shyam	
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#include <stdio.h>
#include <malloc.h>

#ifdef WIN32
#include <windows.h>
#endif

#include "relib_enhance.h"
#include "vsscanf.h"

int SearchRegExp(char *str, const char *regexpr, char **startPos, const char *format, ...)
{
	regexp *rx = regcomp(const_cast<char *>(regexpr));

	if(rx == NULL)
	{
		/* Invalid Regular Expression */
		return 1;
	}

	if(*startPos != NULL)
	{
		str = *startPos;
	}

	int retVal = regexec(rx, str, startPos);

	if(retVal == 1)
	{
		/* Extract the necessary information and return it to the user */
		va_list	arglist;
		va_start(arglist, format);
		//added by shyam on 15-06-04
		//on *ix systems if you use g++ you wont get vsscanf
		//however there is a linktime conflict.
		//so let this be the name !
		ourvsscanf(*startPos, format, arglist);
	}

	/* Free resources */
	free(rx);

	/* regular expression not found */
	return !retVal;
}

