/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	ConfigLogPage.cpp
*
* Purpose : Configuration Dialog - Activity Log Page
*
* Authors : Anuj Seth
* 			K.Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#include "stdafx.h"

#ifdef WIN32
#include "YahooPOPs.h"
#include "ConfigLogPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CDataHolder settings;

IMPLEMENT_DYNCREATE(CConfigLogPage, CPropertyPage)

CConfigLogPage::CConfigLogPage() : CCustomPropertyPage(CConfigLogPage::IDD)
{
	//{{AFX_DATA_INIT(CConfigLogPage)
	m_bLimitLog = TRUE;
	m_nLogLevel = 0;
	m_nLogSize = 50;
	m_bCreateLog = FALSE;
	//}}AFX_DATA_INIT
}

CConfigLogPage::~CConfigLogPage()
{
}

void CConfigLogPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigLogPage)
	DDX_Check(pDX, IDC_LIMIT_LOG, m_bLimitLog);
	DDX_Radio(pDX, IDC_LOG_LEVEL, m_nLogLevel);
	DDX_Text(pDX, IDC_LOG_SIZE, m_nLogSize);
	DDV_MinMaxUInt(pDX, m_nLogSize, 10, 65535);
	DDX_Check(pDX, IDC_LOGGING, m_bCreateLog);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigLogPage, CPropertyPage)
	//{{AFX_MSG_MAP(CConfigLogPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CConfigLogPage::Init(CDataHolder &data)
{
	m_bCreateLog = data.m_bCreateLog;
	m_bLimitLog  = data.m_bLimitLog;
	m_nLogLevel  = data.m_nLogLevel;
	m_nLogSize   = data.m_nLogSize;

	UpdateData(FALSE);
}

BOOL CConfigLogPage::ValidateData(void)
{
	UpdateData(TRUE);
	return TRUE;
}

void CConfigLogPage::SaveData(CDataHolder &data)
{
	settings.m_bCreateLog = m_bCreateLog;
	settings.m_bLimitLog  = m_bLimitLog;
	settings.m_nLogSize   = m_nLogSize;
	settings.m_nLogLevel  = m_nLogLevel;

	data.m_bCreateLog = m_bCreateLog;
	data.m_bLimitLog  = m_bLimitLog;
	data.m_nLogSize   = m_nLogSize;
	data.m_nLogLevel  = m_nLogLevel;
}

#endif // #ifdef WIN32
