/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	ConfigMailSmtpPage.cpp
*
* Purpose : Configuration Dialog - Activity Log Page
*
* Authors : Anuj Seth
* 			K.Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#include "stdafx.h"

#ifdef WIN32
#include "YahooPOPs.h"
#include "ConfigMailSmtpPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CDataHolder settings;

IMPLEMENT_DYNCREATE(CConfigMailSmtpPage, CPropertyPage)

CConfigMailSmtpPage::CConfigMailSmtpPage() : CCustomPropertyPage(CConfigMailSmtpPage::IDD)
{
	//{{AFX_DATA_INIT(CConfigMailSmtpPage)
	m_bSaveEmailCopy = FALSE;
	//}}AFX_DATA_INIT
}

CConfigMailSmtpPage::~CConfigMailSmtpPage()
{
}

void CConfigMailSmtpPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigMailSmtpPage)
	DDX_Check(pDX, IDC_SAVE_SENT_FOLDER, m_bSaveEmailCopy);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigMailSmtpPage, CPropertyPage)
	//{{AFX_MSG_MAP(CConfigMailSmtpPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CConfigMailSmtpPage::Init(CDataHolder &data)
{
    m_bSaveEmailCopy = settings.m_bSaveEmailCopy;

    UpdateData(FALSE);
}

BOOL CConfigMailSmtpPage::ValidateData(void)
{
    return TRUE;
}

void CConfigMailSmtpPage::SaveData(CDataHolder &data)
{
   UpdateData(TRUE);

   settings.m_bSaveEmailCopy = m_bSaveEmailCopy;
   data.m_bSaveEmailCopy = m_bSaveEmailCopy;
}

#endif // #ifdef WIN32
