/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	ConfigProxyPage.h
*
* Purpose : Configuration Dialog - Proxy Page
*
* Authors : Anuj Seth
* 			K.Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#ifdef WIN32
#ifndef _CONFIG_PROXY_PAGE_H_
#define _CONFIG_PROXY_PAGE_H_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ConfigProxyPage.h : header file
//

#include "CustomPropertyPage.h"

class CConfigProxyPage : public CCustomPropertyPage
{
	DECLARE_DYNCREATE(CConfigProxyPage)

// Construction
public:
	CConfigProxyPage();
	~CConfigProxyPage();

	virtual void Init(CDataHolder &data);
	virtual BOOL ValidateData(void);
	virtual void SaveData(CDataHolder &data);

// Dialog Data
	//{{AFX_DATA(CConfigProxyPage)
	enum { IDD = IDD_CONFIG_PROXIES_PAGE };
	CButton	m_ctlEnableProxyAuth;
	CEdit	m_ctlProxyAuthUsername;
	CEdit	m_ctlProxyAuthPassword;
	CEdit	m_ctlHttpProxyPort;
	CEdit	m_ctlHttpsProxyPort;
	CEdit	m_ctlHttpsProxyHost;
	CEdit	m_ctlHttpProxyHost;
	BOOL	m_bEnableProxyAuth;
	CString	m_strHttpProxyHost;
	UINT	m_nHttpProxyPort;
	CString	m_strHttpsProxyHost;
	UINT	m_nHttpsProxyPort;
	BOOL	m_bUseProxy;
	CString	m_strProxyAuthPassword;
	CString	m_strProxyAuthUsername;
	//}}AFX_DATA


// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CConfigProxyPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CConfigProxyPage)
	afx_msg void OnUseProxy();
	afx_msg void OnEnableProxyAuth();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif
#endif
