/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	ConfigSecurityPage.cpp
*
* Purpose : Configuration Dialog - Security Page
*
* Authors : Anuj Seth
* 			K.Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#include "stdafx.h"

#ifdef WIN32
#include "YahooPOPs.h"
#include "ConfigSecurityPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CDataHolder settings;

IMPLEMENT_DYNCREATE(CConfigSecurityPage, CPropertyPage)

CConfigSecurityPage::CConfigSecurityPage() : CCustomPropertyPage(CConfigSecurityPage::IDD)
{
	//{{AFX_DATA_INIT(CConfigSecurityPage)
	//}}AFX_DATA_INIT
}

CConfigSecurityPage::~CConfigSecurityPage()
{
}

void CConfigSecurityPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CConfigSecurityPage)
	DDX_Text(pDX, IDC_COOKIE_TIMEOUT, m_nCookieTimeout);
	DDV_MinMaxUInt(pDX, m_nCookieTimeout, 0, 50000);
	DDX_Radio(pDX, IDC_ENABLEHTTPS, m_passoption);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CConfigSecurityPage, CCustomPropertyPage)
	//{{AFX_MSG_MAP(CConfigSecurityPage)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

void CConfigSecurityPage::Init(CDataHolder &data)
{
	m_nCookieTimeout = data.m_nCookieTimeout;

	if (data.m_bSecureMode)
	{
		m_passoption = 0;
	}
	else if (data.m_bUseMD5)
		m_passoption = 1;
	else
		m_passoption = 2;

	UpdateData(FALSE);
}

BOOL CConfigSecurityPage::ValidateData(void)
{
	UpdateData(TRUE);
	return TRUE;
}

void CConfigSecurityPage::SaveData(CDataHolder &data)
{
	settings.m_bPlain = FALSE;
	settings.m_bSecureMode = FALSE;
	settings.m_bUseMD5 = FALSE;

	if (m_passoption == 0)
		settings.m_bSecureMode = TRUE;
	else if (m_passoption == 1)
		settings.m_bUseMD5 = TRUE;
	else
		settings.m_bPlain = TRUE;
	
	settings.m_nCookieTimeout = m_nCookieTimeout;

	data.m_bSecureMode = settings.m_bSecureMode;
	data.m_bUseMD5     = settings.m_bUseMD5;
	data.m_bPlain	   = settings.m_bPlain;
	data.m_nCookieTimeout     = m_nCookieTimeout;
}

#endif // #ifdef WIN32
