/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*                   http://www.anujseth.com/yahoopops
*
* Credits:
* - YahooPOPs! has been inspired by FetchYahoo, a Perl based application
*   that works with mail clients supporting mbox'es (Netscape, Pine, etc.).
*   FetchYahoo is authored by Ravi Ramkissoon <ravi_ramkissoon@yahoo.com>
*-------------------------------------------------------------------------
*
* Name    :	ConfigureDlg.h
*
* Purpose : Dialog to configure YahooPOPs!
*
* Author  : Anuj Seth <yahoopops@anujseth.com>
*
* License : GNU Public License
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/

#ifndef _CONFIGURE_DLG_H_
#define _CONFIGURE_DLG_H_
#ifdef WIN32
class CConfigureDlg : public CDialog
{
// Construction
public:
	CConfigureDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CConfigureDlg)
	enum { IDD = IDD_DIALOG_CONFIGURE };
	CComboBox	m_ctlUserAgent;
	CEdit		m_ctlHttpsProxyPort;
	CEdit		m_ctlHttpsProxyHost;
	CEdit		m_ctlHttpProxyPort;
	CEdit		m_ctlHttpProxyHost;
	BOOL		m_bSecureMode;
	BOOL		m_bUseProxy;
	int			m_nUserAgent;
	CString		m_strHttpProxyHost;
	UINT		m_nHttpProxyPort;
	CString		m_strHttpsProxyHost;
	UINT		m_nHttpsProxyPort;
	BOOL	m_bUseMD5;
	UINT	m_nMaxEmails;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CConfigureDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CConfigureDlg)
	afx_msg void OnUseHttpProxy();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif
#endif
