/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	DataHolder.h
*
* Purpose : Retrieve/Save the configured settings
*
* Authors : Anuj Seth
* 			K.Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#ifndef _DATAHOLDER_H_
#define _DATAHOLDER_H_

#include "StdString.h"
#include "Defines.h"

enum EMAIL_CATEGORY { EC_ALL = 'a', EC_UNREAD = 'u', EC_FLAGGED = 'f'};

class CDataHolder  
{
public:
	int Load();
	void Save();
    void DumpToLog();
	CDataHolder();
	virtual ~CDataHolder();

	// Persistent Data
	BOOL		m_bUseMD5;
	BOOL		m_bPlain;
	BOOL		m_bSecureMode;


#ifdef WIN32
	CStdString	m_strHttpProxyHost;
#else
	char m_strHttpProxyHost[1024];
#endif
	UINT		m_nHttpProxyPort;
#ifdef WIN32
	CStdString	m_strHttpsProxyHost;
#else
	char m_strHttpsProxyHost[1024];
#endif
	UINT		m_nHttpsProxyPort;
	BOOL		m_bUseProxy;
	int			m_nUserAgent;
#ifdef WIN32
	CStdString  m_strUserAgent;
#else
	char  m_strUserAgent[1024];
#endif
	UINT		m_nMaxEmails;
	BOOL		m_bEmptyTrash;
	BOOL		m_bEmptyBulkMail;
	BOOL		m_bBulkMail;
	BOOL		m_bInbox;
	EMAIL_CATEGORY m_nEmailCategory;
	BOOL		m_bProxyAuth;
#ifdef WIN32
	CStdString	m_strProxyAuthPassword;
	CStdString	m_strProxyAuthUsername;
#else
	char	m_strProxyAuthPassword[1024];
	char	m_strProxyAuthUsername[1024];
#endif
	BOOL		m_bQuietMode;
#ifdef WIN32
	CStdString  m_strNetworkIPAddr;
#else
	char		m_strNetworkIPAddr[32]; 
#endif
	UINT		m_nNetworkPort;
	BOOL		m_bLeaveUnread;
	BOOL		m_bAutoStartWithWindows;
	UINT		m_nSmtpPort;
	CStdString  m_strFolderList;
    BOOL        m_bAlwaysOnTop;
    BOOL        m_bEnableSmtp;
    BOOL        m_bSaveEmailCopy;
    BOOL        m_bEnableUIDL;
    BOOL        m_bIgnoreSize;
    BOOL        m_bHideTrayIcon;

	UINT		m_nCookieTimeout;

	// Activity Log
	BOOL		m_bCreateLog;
	BOOL		m_bLimitLog;
	UINT		m_nLogLevel;
	UINT		m_nLogSize;
};

#endif

