/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	DisclaimerDlg.cpp
*
* Purpose : Displays a disclaimer dialog at startup
*
* Authors : Anuj Seth
* 			K.Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#include "stdafx.h"

#ifdef WIN32
#include "yahoopops.h"
#include "DisclaimerDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDisclaimerDlg dialog


CDisclaimerDlg::CDisclaimerDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CDisclaimerDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDisclaimerDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CDisclaimerDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDisclaimerDlg)
	DDX_Control(pDX, IDC_DISCLAIMER_TEXT, m_ctlDisclaimerText);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDisclaimerDlg, CDialog)
	//{{AFX_MSG_MAP(CDisclaimerDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDisclaimerDlg message handlers

BOOL CDisclaimerDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	m_ctlDisclaimerText.AddString("THIS SOFTWARE IS PROVIDED \"AS IS\" BY THE AUTHORS AND INDEPENDENT");
    m_ctlDisclaimerText.AddString("CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT");
    m_ctlDisclaimerText.AddString("LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A");
    m_ctlDisclaimerText.AddString("PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR");
    m_ctlDisclaimerText.AddString("CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,");
    m_ctlDisclaimerText.AddString("EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,");
    m_ctlDisclaimerText.AddString("PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR");
    m_ctlDisclaimerText.AddString("PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY");
    m_ctlDisclaimerText.AddString("OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING");
    m_ctlDisclaimerText.AddString("NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS");
    m_ctlDisclaimerText.AddString("SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.");
	m_ctlDisclaimerText.AddString("");
	m_ctlDisclaimerText.AddString("As far as we know, YahooPOPs! does not violate the Terms of Service of Yahoo! Mail. But we");
	m_ctlDisclaimerText.AddString("are not lawyers. As far our interpretation is concerned, the ToS is between Yahoo and the");
	m_ctlDisclaimerText.AddString("end user of Yahoo (i.e., you) and not any intermediaries like YahooPOPs!, so YahooPOPs!");
	m_ctlDisclaimerText.AddString("does not have to necessarily abide by the ToS. But we are not lawyers. If you");
	m_ctlDisclaimerText.AddString("believe that YahooPOPs! goes against the ToS of Yahoo Mail, please DO NOT USE");
	m_ctlDisclaimerText.AddString("YahooPOPs!");
	m_ctlDisclaimerText.AddString("");
	m_ctlDisclaimerText.AddString("This software is an independent development by the authors and is in no way connected to");
	m_ctlDisclaimerText.AddString("their respective employers.");

	return TRUE;
}

#endif // #ifdef WIN32
