/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	Email.h
*
* Purpose : Class for handling emails
*
* Authors : Anuj Seth
* 			K.Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#ifndef _EMAIL_H_
#define _EMAIL_H_

#ifdef WIN32
#include "stdafx.h"
#else
#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <sys/stat.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <signal.h>
#include <unistd.h>
#include <netdb.h>
#include <sys/time.h>
#if defined(sparc)
#define INADDR_NONE ((unsigned long)0xFFFFFFFF)
#endif
typedef int SOCKET;
#endif
#include "Defines.h"

class Email  
{
public:
	BOOL DeleteHeader(CStdString name);
	BOOL AddHeader(CStdString name, CStdString value);
	CStdString GetHeader(CStdString name);
	void SetBody(CStdString data);
	void SetHeader(CStdString data);
	BOOL IsDownloaded();
	BOOL IsHeaderDownloaded();
	int GetSize();
	void SendMessage(SOCKET &sock, int lines);
	void SendMessage(SOCKET &sock);
	BOOL IsDeleted();
	void SetDeleted(BOOL status);
    const char *GetMsgId(void);
    void SetMsgId(const CStdString &msgId);
    void SetTempSize(unsigned long size);
	
    Email();
	virtual ~Email();

protected:
	CStdString	emailHeader;
	CStdString	emailBody;
	BOOL		bDownloaded;
	BOOL		bHeaderDownloaded;
	BOOL		bDeleted;
    CStdString  msgId;
	unsigned long		tempsize;
};

#endif

