/*************************************************************************
*
* YahooPOPs!
*
* YahooPOPs! is an application that provides POP3 access to Yahoo! Mail.
* You do not need to enable POP3 access with Yahoo! to use this program.
* This program works within the license agreement of Yahoo! to provide
* you with POP3 access.
*
* YahooPOPs! emulates a POP3 mail server and should work with most of the
* email clients. Since YahooPOPs! is not a full-fledged POP3 mail server
* you might find it not working with all mail clients. Do keep us informed
* about such mail clients so that we can enhance YahooPOPs!
*
* Official Website: http://yahoopops.sourceforge.net
*
*-------------------------------------------------------------------------
*
* Name    :	ReadLocalizationFile.h
*
* Purpose : Class for reading and storing in memory internationalization
*           strings
*
* Authors : Anuj Seth, K. Shyam
*
* License : GNU Public License (Version 2 or later)
*
*-------------------------------------------------------------------------
*
* THIS SOFTWARE IS PROVIDED ``AS IS'' BY THE AUTHORS AND INDEPENDENT
* CONTRIBUTORS AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR 
* CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
* EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
* PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR 
* PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF 
* LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING 
* NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS 
* SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*************************************************************************/
#ifndef _READ_LOC_FILE_H_
#define _READ_LOC_FILE_H_

#ifndef WIN32
#include "Defines.h"
#endif

#include <libxml/xmlmemory.h>
#include <libxml/parser.h>
#include "StdString.h"
#include "LogFile.h"

class LocalizationInfo
{
public:
	LocalizationInfo();
	~LocalizationInfo();

	void ReadFile();

	typedef struct LOCDATA_t
	{
        CStdString id;
		CStdString name;
		CStdString language;
		CStdString regex;
		CStdString format;
		LOCDATA_t  *next;
	} LOCDATA;

	LOCDATA *GetFirst();
    LOCDATA *GetDefaultLocale();

protected:
    void SetDefaultLocale();
    void parseCountry(xmlDocPtr doc, xmlNodePtr cur);

private:
	LOCDATA *locDataHead;
    LOCDATA *locDefault;
    LOCDATA tempLocData;
    bool bFreeLocDefault;
};

#endif
